round
Prev | Orchestra Opcodes and Operators | Next

## round

round — Returns the integer value nearest to x ; if the fractional part of x is exactly 0.5, the direction of rounding is undefined.

## Description

The integer value nearest to x ; if the fractional part of x is exactly 0.5, the direction of rounding is undefined.

## Syntax

    round(x) (init-, control-, or audio-rate arg allowed)

where the argument within the parentheses may be an expression. Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

## See Also

abs, exp, int, log, log10, i, sqrt

## Credits

Author: Istvan Varga
New in Csound 5
2005

Prev | Up | Next
rnd31 | Home | rspline